# comment out if not prerelease
%define prel	RC2

%if 0%{?prel:1}
%define lpre 	%(echo %{prel} | tr A-Z a-z)
%endif

%define rel	8

Name:		goldendict
Version:	1.5.0
Release:	%mkrel %{?prel:0.%lpre.}%{rel}
Summary:	A feature-rich dictionary lookup program
Group:		Office/Dictionary
License:	GPLv3+
URL:		http://goldendict.org
#https://github.com/goldendict/goldendict/archive/master.zip
#Source0:	%%{name}-%%{version}-%%{rev}.tar.gz
Source0:	https://github.com/goldendict/goldendict/archive/%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}.tar.gz
#https://github.com/goldendict/goldendict/issues/526
Patch0:		goldendict-1.5-mga-i18n-desktop.patch
#https://github.com/goldendict/goldendict/issues/991
Patch1:		goldendict-1.5-fix-build-against-qt-5.11.0.patch

BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	bzip2-devel
BuildRequires:	liblzo-devel
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	eb-devel

%description
Goldendict is a feature-rich dictionary lookup program.
The latest release has the following features:
Use of WebKit for an accurate articles' representation;
Support of multiple dictionary file formats;
Support MediaWiki-based sites to perform search;
Scan popup functionality.

%prep
%setup -q -n %{name}-%{version}%{?prel:-%prel}
%autopatch -p1

%build
%qmake_qt5 PREFIX=%{_prefix} DISABLE_INTERNAL_PLAYER=1
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

rm -rf %{buildroot}%{_datadir}/app-install
desktop-file-install %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc README.md
%license LICENSE.txt
%{_datadir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 1.5.0-0.rc2.8.mga8
+ Revision: 1658500
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.5.0-0.rc2.7.mga8
+ Revision: 1524655
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 1.5.0-0.rc2.6.mga7
+ Revision: 1381813
- Qt5 Rebuild

* Fri Nov 23 2018 daviddavid <daviddavid> 1.5.0-0.rc2.5.mga7
+ Revision: 1333472
- rebuild for new hunspell 1.7.0

* Sun Sep 23 2018 umeabot <umeabot> 1.5.0-0.rc2.4.mga7
+ Revision: 1298024
- Mageia 7 Mass Rebuild

* Wed Jun 06 2018 daviddavid <daviddavid> 1.5.0-0.rc2.3.mga7
+ Revision: 1234921
- add upstream patch to fix build with new Qt5 >= 5.11.0

* Sun Aug 06 2017 daviddavid <daviddavid> 1.5.0-0.rc2.2.mga7
+ Revision: 1137587
- rebuild for new libhunspell 1.6

* Thu Nov 24 2016 wally <wally> 1.5.0-0.rc2.1.mga6
+ Revision: 1069750
- new version 1.5.0 RC2
- switch to Qt5

* Thu Apr 21 2016 tv <tv> 1.5-0.git20151103.9.mga6
+ Revision: 1004212
- rebuid for libhunspell 1.4

* Mon Feb 15 2016 umeabot <umeabot> 1.5-0.git20151103.8.mga6
+ Revision: 960503
- Mageia 6 Mass Rebuild

* Sat Nov 07 2015 alexl <alexl> 1.5-0.git20151103.7.mga6
+ Revision: 898409
- update to the latest git snapshot
- s/makeinstall_std/make_install/
- update %%files section

* Tue Jan 06 2015 alexl <alexl> 1.5-0.git20140108.6.mga5
+ Revision: 808887
- updated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1.5-0.git20140108.5.mga5
+ Revision: 748394
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 alexl <alexl> 1.5-0.git20140108.4.mga5
+ Revision: 724686
- translated desktop file (i18n-desktop.patch)
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Thu Apr 10 2014 daviddavid <daviddavid> 1.5-0.git20140108.3.mga5
+ Revision: 613257
- use %%makeinstall_std macro
- drop unneeded argument on makeinstall_std
- minor cosmetic change

* Wed Apr 09 2014 alexl <alexl> 1.5-0.git20140108.2.mga5
+ Revision: 613021
- fix double BuildRequires

* Wed Apr 09 2014 alexl <alexl> 1.5-0.git20140108.1.mga5
+ Revision: 613012
- add missing BuildRequires
- imported package goldendict

